1. AI Governance
Anzenna Public API
  • How To Use the Anzenna Public API
  • AI Governance
    • Query all Shadow AI instances
      POST
    • Get a Shadow AI instance by id
      GET
    • Query all AI interactions
      POST
    • Get an AI interaction by id
      GET
    • List MCP servers
      POST
    • Get an MCP server
      GET
    • Query MCP server installations
      POST
  • Investigation
    • Query all investigations
      POST
    • Start an investigation
      POST
    • Get an investigation by id
      GET
    • Dismiss an investigation
      POST
    • Get detection investigation prompts
      GET
    • Get global investigation prompts
      GET
    • Get user investigation prompts
      GET
    • Query all risk registers
      POST
    • Query all risk register catalog entries
      POST
  • Identity
    • List accounts
      POST
    • Get an account by id
      GET
    • List login events
      POST
    • Get a login event by ID
      GET
    • Query all mfa statuses
      POST
    • Get an MFA status by id
      GET
    • Query all OAuth applications
      POST
    • Get an OAuth application by id
      GET
    • Query all OAuth application instances
      POST
    • Query all password reuse instances
      POST
  • Advanced
    • Execute an advanced query
    • List security events
    • Receive a webhook event
    • Query raw events
  • Detection
    • Query all allowlists
    • Create a new allowlist
    • Delete an allowlist
    • Update an allowlist
    • Get an anomaly by ID
    • Get key finding detections
    • Get detection details
    • List users associated with a given detection
    • Execute a remediation
  • Browser
    • Query all browser applications
    • Get a browser application by id
    • List browser application instances
    • List browser history entries
    • Query all remote machines
    • Get a remote machine by id
    • Query all web host resources
    • Get a web host resource by id
  • Data & IP
    • Query database exfiltration events
    • List file delete events
    • List file movement activities
    • Get file movement activity by id
    • List files used with data exfiltration.
    • Get a specific data exfiltration file
    • List git events
    • Get a specific git event by id
    • List git repositories
    • Get a specific git repository
    • List file sharing instances
    • Query database share grants
    • Query database share user additions
    • List documents
    • Get document by id
    • List DLP policies
    • Get a DLP policy by id
    • List DLP policy detectors
    • Query all DLP alerts
    • Get a DLP alert by id
  • Device
    • List devices
    • Get a device
    • List device applications
    • Get a device application
    • Query device application instances.
    • List device infections
    • Get a device infection
    • List device policies
    • Get a device policy
    • List USB device connection events
    • Get a USB connection event
    • List IDE applications
    • Get an IDE application
    • Query IDE application instances.
  • Email
    • Query all outbound email events
    • Get an outbound email event by id
    • Query all phishing interactions
  • Company
    • List groups
    • Query all people
    • Get departure analysis for a person
    • Get a person by id
    • Add a category to multiple people
    • Remove a category from multiple people
    • Get company risk trends
    • Get number of high risk organizations
  • SaaS
    • Query all Shadow IT instances
  • Outreach
    • List training campaigns
    • Create a training campaign
  • API Key
    • Get API key information
  1. AI Governance

Get an AI interaction by id

GET
/ai-governance/interactions/{id}
Get an AI interaction by id

Request

Authorization
Path Params

Responses

🟢200OK
application/json
Successful operation
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/ai-governance/interactions/'
Response Response Example
{
    "agent_version": "1.2.3",
    "app_kind": "unspecified",
    "bytes_returned": 1024,
    "bytes_sent": 4096,
    "chained_subcommand_count": 73,
    "command": "security find-generic-password",
    "corporate_determination_method": "authenticated_user",
    "denial_reason": "Editing the agent's own settings.json is self-modification of agent configuration.",
    "description": "List files in the backup directory",
    "device_name": "janes-macbook-pro",
    "device_serial_number": "C02XK1ZGJGH5",
    "duration_ms": 350,
    "employee_email": "jane.doe@example.com",
    "employee_name": "Jane Doe",
    "error_message": "permission denied",
    "file_path": "/Users/jdoe/.ssh/id_ed25519",
    "from_corporate_domain": true,
    "hook_version": "v1.4.0",
    "host_user_account": "jane@example.com",
    "id": "8CA67511-744C-4D74-B26E-7281CF88712F",
    "interaction_kind": "sensitive_file_read",
    "matched_rule": "~/.ssh",
    "mcp_destination": "unspecified",
    "mcp_destination_path": "/backups/id_ed25519.txt",
    "mcp_server": "dropbox",
    "mcp_server_name": "Dropbox",
    "mcp_server_transport": "stdio",
    "mcp_server_url": "https://mcp.dropbox.com/sse",
    "mdm_device_id": "412",
    "mdm_type": "unspecified",
    "outcome": "success",
    "permission_mode": "default",
    "plugin_name": "anzenna-toolkit",
    "session_id": "0c75df52-2c41-4a8f-bf16-5c1f4e2c9a31",
    "skill_name": "system-health",
    "timestamp": "2026-05-19T15:32:00Z",
    "tool": "create_file",
    "tool_use_id": "toolu_01abc123xyz",
    "username": "jdoe",
    "web_host_name": "claude.ai"
}
Modified at 2026-09-21 04:45:45
Previous
Query all AI interactions
Next
List MCP servers
Built with